intel linux graphics installer debian wheezy

Автор Syrus, 15 апреля 2015, 19:54:41

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Syrus

Добрый день!
Не могу установить драйвера на видеокарту
Цитировать
su# lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)

Пробовал установить драйвер с сайта
Цитироватьhttps://01.org/linuxgraphics/downloads

ничего не получилось.

тут описывается проблема, но решения нет
http://linuxforum.ru/post/404868


при установке выходит ошибка

Цитировать
root@Asus-Notebook-Admin:/home/tyler/Рабочий стол/intel_graphics# dpkg -i intel-linux-graphics-installer_1.0.8-0intel1_amd64.deb
(Чтение базы данных ... на данный момент установлено 230105 файлов и каталогов.)
Подготовка к замене пакета intel-linux-graphics-installer 1.0.8-0intel1 (используется файл intel-linux-graphics-installer_1.0.8-0intel1_amd64.deb) ...
Распаковывается замена для пакета intel-linux-graphics-installer ...
dpkg: зависимости пакетов не позволяют настроить пакет intel-linux-graphics-installer:
intel-linux-graphics-installer зависит от libglib2.0-0 (>= 2.37.3), однако:
  Версия libglib2.0-0:amd64 в системе 2.33.12+really2.32.4-5.
intel-linux-graphics-installer зависит от libpackagekit-glib2-16 (>= 0.8.10), однако:
  Пакет libpackagekit-glib2-16 не установлен.
intel-linux-graphics-installer зависит от ttf-ancient-fonts, однако:
  Пакет ttf-ancient-fonts не установлен.

dpkg: ошибка при обработке параметра intel-linux-graphics-installer (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для desktop-file-utils ...
При обработке следующих пакетов произошли ошибки:
intel-linux-graphics-installer

Пробовал устранить зависимости
Цитироватьapt-get -f install
- ничего не помогло.

система:
Цитировать
Linux Notebook 3.2.0-4-amd64 #1 SMP Debian 3.2.65-1+deb7u2 x86_64 GNU/Linux

Стоит XFCE. Почти чистая система, ничего криминального не делал.


qupl

Syrus, просит установить зависимости с необходимыми версиями.
А чем имеющийся драйвер не устраивает? И почему из репозитория не поставить?

ferum

Что греха таить свободные видеодрайвера не дают возможности полностью раскрыть потенциал видеокарт а это важно хотя бы когда смотришь видео в хорошем качестве.
На http://linuxforum.ru/post/401941#p401941 приведён вариант решения но подход через checkinstall  неправильный, да и сборочные зависимости наверное вызвали у вас вопросы. Ядро у нас обновляется и по этому нужно собирать драйвер с dkms соответственно в deb пакеты. С большой долей вероятности можно бы бэкпортировать из https://launchpad.net/~aap/+archive/ubuntu/intel-drivers?field.series_filter=precise
Через другой форум я лично знаком с владельцем этого репозитория из числа нескольких, отзывы о софте данного разработчика весьма положительные. Естественно с версиями пакетов по зависимостям придётся разбираться всё равно но если не паниковать всё совершенно достижимо.
Русские дебианщики против цифрового слабоумия !

Syrus

Есть ли какая-нибудь инструкция, руководство по установке драйверов или работающую ссылку киньте, пожалуйста? 

Эксперименты с ядром сам делать боюсь, мало ли, накосячу. Поэтому и прошу инструкцию.

По любому не у меня одного возникла данная проблема и наверняка её уже кто-нибудь решил.

ihammers

Чаще всего для работы с Intel железом достаточно обновить ядро и установить firmware-linux-free и firmware-linux-nonfree.
Покажите список репозитариев. Какую версию Debian используете (Wheezy)?

Если Wheezy, то добавьте backports и обновите ядро с указанными выше пакетами.

PS: а какая проблема с драйверами, то есть что не работает без установки этих драйверов?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Syrus

Да Wheezy

список репозиториев почти не менял после установки,
добавил только репозиторий от google chrome.

а проблема заключается в следующем:
например:
необходимо работать с двумя мониторами. При перетаскивании окна или приложения ощущаются тормоза.
Игрушки тормозят все, что используют OpenGL.
в блендере хочется иногда поработать.
ну и так далее.


попробую сделать, как говорите. Может быть получится.

ferum

Волков бояться - в лес не ходить.
Русские дебианщики против цифрового слабоумия !

ihammers

Цитата: Syrus от 16 апреля 2015, 11:04:11список репозиториев почти не менял после установки,
добавил только репозиторий от google chrome.
Добавьте backports и обновите kernel и пакеты firmware.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290